import WorkspacePeer from './peer/svg/WorkspacePeer';
import GroupPeer from './peer/svg/GroupPeer';
import EllipsePeer from './peer/svg/ElipsePeer';
import StraightLinePeer from './peer/svg/StraightPeer';
import PolyLinePeer from './peer/svg/PolyLinePeer';
import CurvedLinePeer from './peer/svg/CurvedLinePeer';
import ArrowPeer from './peer/svg/ArrowPeer';
import TextPeer from './peer/svg/TextPeer';
import ImagePeer from './peer/svg/ImagePeer';
import RectPeer from './peer/svg/RectPeer';
import ArcLinePeer from './peer/svg/ArcLinePeer';
declare class Toolkit {
    static createWorkspace(element?: HTMLElement): WorkspacePeer;
    static createGroup(): GroupPeer;
    static createEllipse(): EllipsePeer;
    static createStraightLine(): StraightLinePeer;
    static createPolyLine(): PolyLinePeer;
    static createCurvedLine(): CurvedLinePeer;
    static createArcLine(): ArcLinePeer;
    static createArrow(): ArrowPeer;
    static createText(fontName: string): TextPeer;
    static createImage(): ImagePeer;
    static createRect(arc: number): RectPeer;
}
export default Toolkit;
